Get a dashboard visual-reading job
curl --request GET \
--url https://api.astrom8.com/v1/visual-readings/jobs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.astrom8.com/v1/visual-readings/jobs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.astrom8.com/v1/visual-readings/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job": {
"id": "<string>",
"credits": 123,
"credits_refunded": 123,
"error_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
},
"artifacts": {
"json": {
"status": "<string>",
"url": "<string>",
"valid_for_seconds": 123
},
"hosted": {
"status": "<string>",
"url": "<string>",
"valid_for_seconds": 123
},
"pdf": {
"status": "<string>",
"url": "<string>",
"valid_for_seconds": 123
}
}
}{
"error": "unauthorized",
"message": "Invalid API key",
"code": "401",
"request_id": "01HQXYZ..."
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"request_id": "<string>"
}Customer visual readings
Get a dashboard visual-reading job
GET
/
v1
/
visual-readings
/
jobs
/
{id}
Get a dashboard visual-reading job
Authorizations
Customer session token returned by /auth/login. This is distinct from an API key.
Path Parameters
Visual-reading job id.
Pattern:
^vrj_[a-f0-9]{24}$⌘I